Table of Contents

Module: http | Twisted-0.17.4/twisted/protocols/http.py
--- | ---

HyperText Transfer Protocol implementation.

This is used by twisted.web.

Imported modules |
--- | ---
import base64 import basic from cStringIO import StringIO import calendar import cgi import protocol import rfc822 import socket import string import tempfile import time from twisted.internet import interfaces from twisted.python import log import urllib
Functions |
datetimeToString fromChunk stringToDatetime timegm toChunk
| datetimeToString

    datetimeToString ( msSinceEpoch=None )

Convert seconds since epoch to HTTP datetime string.

| fromChunk

    fromChunk ( data )

Convert chunk to string.

Exceptions |
--- | ---
UnimplementedError

| stringToDatetime

    stringToDatetime ( dateString )

Convert an HTTP date string to seconds since epoch.

| timegm

    timegm (
            year,
            month,
            day,
            hour,
            minute,
            second,
            )

Convert time tuple in GMT to seconds since epoch, GMT

| toChunk

    toChunk ( data )

Convert string to a chunk.

Classes |

HTTPChannel | A receiver for HTTP requests.
HTTPClient | A client for HTTP
Request | A HTTP request.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:04 2002 by HappyDoc version 2.0